export function randomFloat(min?: number, max?: number) {
	const minVal = min === undefined && max === undefined ? 0 : min ?? 0;
	const maxVal = max === undefined ? (min === undefined ? 1 : min) : max;

	return Math.random() * (maxVal - minVal) + minVal;
}

export function randomInt(min: number, max: number) {
	return Math.floor(Math.random() * (max - min + 1)) + min;
}

export function randomElement<T>(arr: T[] | ReadonlyArray<T>): T {
	return arr[randomInt(0, arr.length - 1)];
}
